#version 450
layout(location = 0) in vec2 vUV;
layout(std140, binding = 0) uniform Globals {
    mat4 uProj;
    vec4 uColor;
};
layout(binding = 1) uniform sampler2D uFont;
layout(location = 0) out vec4 FragColor;
void main() {
    float a = texture(uFont, vUV).a;
    if (a < 0.5) discard;
    FragColor = uColor;
}
